Run a shell command in the actor's sandbox session
POST /api/workspaces/{workspaceId}/apps-v2/{id}/exec
POST
/api/workspaces/{workspaceId}/apps-v2/{id}/exec
Executes in the session working tree via the configured sandbox provider, then flushes the working tree to the durable WIP ref.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
id
required
string
Request Body
Section titled “Request Body ”object
command
required
string
cwd
string
timeoutMs
integer
Responses
Section titled “ Responses ”Successful response
object
success
Whether the request succeeded.
boolean
data
Endpoint-specific response payload.
message
string
Example
Operation completed error
string
Example
Error messageInvalid request
object
success
boolean
error
string
Example
Error messageInternal server error
object
success
boolean
error
string
Example
Error message